<?php
return [
    'dependencies' => [
        'factories' => [
            Monolog\Logger::class => function () {
                $logger = new \Monolog\Logger('main_log');
                $stream = new \Monolog\Handler\StreamHandler(__DIR__ . '/../../data/main.log');
                $stream->setFormatter(new \Monolog\Formatter\LineFormatter());

                $logger->pushHandler($stream);
                return $logger;
            },
        ],
    ],
];